#ifndef SCENE_H_

#include "graphAppUI.h"
#include "frameBuffer.h"
#include "phc.h"
#include "v3.h"
#include "tmesh.h"

#define SCENE_MAX_TMESH_N 100

class Scene {

  GraphAppUI *ui;
  FrameBuffer *fb;
  TMesh *tmesh[SCENE_MAX_TMESH_N];
  int tmeshN;
  PHC *phc;
  bool animationOn;
  int animationStep;
public:
  Scene();
  void Show();
  void Redraw();
  void MouseRelease(int u, int v);
  void MouseMove(int u, int v);
  void Save();
  void DBG();
  void Render();
  void UpdateScene();
};

#endif