#ifndef TMESH_H_
#define TMESH_H_

#include "phc.h"
#include "frameBuffer.h"

class TMesh {

  V3 *verts;
  int vertsN;
  unsigned int *tris;
  int trisN;
  unsigned int color;
public:
  TMesh();
  void Load(char *fileName);
  void Render(FrameBuffer *fb, PHC *phc);
  V3 FindCenter();
  void ScaleToMaxDim(float maxDim);
  void TranslateBy(V3 translationVector);
  void ScaleBy(float scf);
  void TranslateTo(V3 newCenter);
  void SetColor(unsigned int col) {color = col;};
};

#endif